Package Details: librepods-git nightly.d9469c2.r78.g1f2d707-2

Git Clone URL: https://aur.archlinux.org/librepods-git.git (read-only, click to copy)
Package Base: librepods-git
Description: Apple exclusive AirPods Pro 2 features for Linux (unofficial package)
Upstream URL: https://github.com/kavishdevar/librepods
Licenses: AGPL3
Conflicts: librepods
Provides: librepods
Submitter: rileyaft
Maintainer: rileyaft
Last Packager: rileyaft
Votes: 5
Popularity: 0.44
First Submitted: 2025-08-15 00:33 (UTC)
Last Updated: 2026-04-12 17:03 (UTC)

Latest Comments

rileyaft commented on 2026-04-11 18:04 (UTC)

updated, thank you

A43 commented on 2026-04-11 13:22 (UTC) (edited on 2026-04-11 13:23 (UTC) by A43)

LibrePods recently got a cli binary. This diff installs it and also fixes needing to cleanbuild the package every time. Please apply this diff or equivalent fixes to this package. Thanks!

diff --git a/PKGBUILD b/PKGBUILD
index 4f1435d..a02be01 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -35,7 +35,7 @@ pkgver() {

 prepare() { # Done to avoid large download in other subdirectories
     cd "$srcdir"
-    git clone --filter=blob:none --sparse "$url" "${pkgname}"
+    git clone --filter=blob:none --sparse "$url" "${pkgname}" || (cd "$srcdir/$pkgname"; git pull)
     cd "${pkgname}"
     git sparse-checkout set linux
 }
@@ -51,5 +51,6 @@ build() {
 package() {
     cd "$srcdir/${pkgname}/linux/build"
     install -Dm755 "${pkgname%-git}" "$pkgdir/usr/bin/${pkgname%-git}"
+    install -Dm755 "${pkgname%-git}-ctl" "$pkgdir/usr/bin/${pkgname%-git}-ctl"
     install -Dm644 "$srcdir/${pkgname}/LICENSE" "$pkgdir/usr/share/licenses/${pkgname%-git}/LICENSE"
 }

rileyaft commented on 2026-02-19 22:47 (UTC)

updated, thank you

deltachaos commented on 2026-02-19 19:28 (UTC)

qt6-tools needs to be added to dependencies for the latest build to succeed